%define name rt2860-firmware
%define rtname RT2860_Firmware
%define version 26
%define release %mkrel 1

Summary: Firmware for the RT2860 chip
Name: %{name}
Version: %{version}
Release: %{release}
# http://www.ralinktech.com.tw/data/drivers/%{rtname}_V%{version}.zip
# (Repackaged as tar.xz because of unzip warnings that makes build fail)
Source: %{rtname}_V%{version}.tar.xz
License: Redistributable, no modification permitted
Group: System/Kernel and hardware
Url: http://www.ralinktech.com
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch

%description
This package contains the firmware files for the RT2860 chip.

%prep
%setup -q -n %{rtname}_V%{version}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 rt*.bin %{buildroot}/lib/firmware

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.ralink-firmware.txt
/lib/firmware/rt*.bin




%changelog
* Thu Mar 17 2011 tmb <tmb> 26-1.mga1
+ Revision: 73392
- imported package rt2860-firmware


* Thu Mar 17 2011 Thomas Backlund <tmb@mageia.org> 26-1.mga1
- update to v26

* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 11-2mdv2010.0
+ Revision: 433248
- rebuild

* Tue Jul 29 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 11-1mdv2009.0
+ Revision: 253867
- import rt2860-firmware


